package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 你到底“几斤几两”——测测你的自我价值
 */
public class YSVScale extends BaseScale {

    public YSVScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public JSONObject scaleCalculate() throws Exception {
        //总分
        int score = 0;

        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if ((i + 1) == 1 || (i + 1) == 3 || (i + 1) == 4 || (i + 1) == 7 || (i + 1) == 10) {
                if (jsonObject1.getString("checkItems").equals("非常相符")) {
                    score += 1;
                } else if (jsonObject1.getString("checkItems").equals("大致相符")) {
                    score += 1;
                } else if (jsonObject1.getString("checkItems").equals("不相符")) {
                    score += 0;
                }
            } else {
                if (jsonObject1.getString("checkItems").equals("非常相符")) {
                    score += 0;
                } else if (jsonObject1.getString("checkItems").equals("大致相符")) {
                    score += 0;
                } else if (jsonObject1.getString("checkItems").equals("不相符")) {
                    score += 1;
                }
            }
        }

        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        if (score >= 0 && score <= 6) {
            resultMap.put("总分结论","【低自我价值感】对自己缺乏自信，不会主动为自己争取机会，对自己的尊重程度欠缺，也可能会感受到别人对自己也不够尊重，平时比较容易焦虑，情绪容易低落，自我价值感迫切需要提升。 你首先需要认识到，自己在自我认识上存在偏颇，生命原本就是有价值的，你本来就是有价值的，很重要的。你需要在自我欣赏、自我关爱和自我肯定方面继续提高，并带着勇气去尝试和实践，在实践中肯定自己的进步。");
            resultJson.put("总分结论","【低自我价值感】对自己缺乏自信，不会主动为自己争取机会，对自己的尊重程度欠缺，也可能会感受到别人对自己也不够尊重，平时比较容易焦虑，情绪容易低落，自我价值感迫切需要提升。 你首先需要认识到，自己在自我认识上存在偏颇，生命原本就是有价值的，你本来就是有价值的，很重要的。你需要在自我欣赏、自我关爱和自我肯定方面继续提高，并带着勇气去尝试和实践，在实践中肯定自己的进步。");
        } else if (score >= 7 && score <= 8) {
            resultMap.put("总分结论","【中等程度的自我价值】对自己有些自信，但在某些方面仍然信心不足，在自我尊重和赢得他人尊重方面仍有些欠缺，可以在带着勇气的实践和尝试中，继续强化自我肯定、自我关爱和自我尊重。");
            resultJson.put("总分结论","【中等程度的自我价值】对自己有些自信，但在某些方面仍然信心不足，在自我尊重和赢得他人尊重方面仍有些欠缺，可以在带着勇气的实践和尝试中，继续强化自我肯定、自我关爱和自我尊重。");
        } else if (score >= 9 && score <= 10) {
            resultMap.put("总分结论","【高自我价值】你对自己是充满信心的，你会主动为自己争取机会，而且你的运气似乎总是不错，你会尊重自己，也会因此赢得别人的尊重。你也懂得关爱自己，相信自己，相信自己的直觉和选择。");
            resultJson.put("总分结论","【高自我价值】你对自己是充满信心的，你会主动为自己争取机会，而且你的运气似乎总是不错，你会尊重自己，也会因此赢得别人的尊重。你也懂得关爱自己，相信自己，相信自己的直觉和选择。");
        }


        List<Map<String, String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList", resultMapList);
        returnJson.put("scaleName", Constant.SHEET_NAME_YSV);
        returnJson.put("resultJson", resultJson);

        return returnJson;
    }
}
